#-----------------------------------------------------------------------------	
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	efivar
Version		:	38
Release		:	14.4.0.0%{?dist}
Summary		:	Tools to manage UEFI variables
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/rhboot/efivar

Source0		:	%{name}-%{version}.tar.bz2
Patch0		:	%{name}-%{version}-Fix-glibc-2.36-build-mount.h-conflicts.patch
#-----------------------------------------------------------------------------
BuildRequires	:	freetype-devel
BuildRequires	:	mandoc
#-----------------------------------------------------------------------------
%description
'%{name}' provides a simple command line interface to the
UEFI variable facility.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md
%{_includedir}/%{name}/efi*.h
%{_bindir}/%{name}
%{_bindir}/efisecdb
%{_libdir}/libefi*.so*
%{_libdir}/pkgconfig/efi*.pc
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/efisecdb.1.gz
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1

#to get ride of gcc 13.1 error detection
sed -i                                                 \
  -e "/^WARNINGS_GCC /s/?=$/?= -Wno-enum-int-mismatch/"        \
  src/include/defaults.mk

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	LIBDIR=%{_libdir}				\
	BINDIR=%{_bindir}				\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	LIBDIR=%{_libdir}				\
	BINDIR=%{_bindir}				\
	install

#-----------------------------------------------------------------------------
%changelog
